Get SP Data
This API provides SP details of logged in RM for the particular distributor that are to be added to all insurnce transactions during any Journey. This is not 1SB gateway API, but application layer API as RM-SP mapping data resides with application or on distributor infrastructure.
Query Parameters
- 200
- 400
- 500
Successful Response
Schema
data object required
Section to carry responses
This field is used to capture the RM code associated.
This field is used to capture the SP code associated.
attributes object
This section will carry the eligibility criteria of the product.
Possible values: <= 50 characters
Channel type
manufacturer Id the quote assigned by 1SB
{
"data": {
"rmCode": 8530,
"spCode": "SP111123",
"attributes": {
"channelType": "BR"
}
},
"manufacturerId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}